CXXFLAGS=-Wall -g

all: test main
test: test.cc Factory.o ll.o
main: pwnd.o Factory.o ../ignoreme.a ll.o
	$(CXX) $(CXXFLAGS) -o $@ $^

# these deps need to be set up to allow for appropriate recompilation
Factory.o: Factory.h Factory.cpp
ll.o: ll.h ll.cc
pwnd.o: pwnd.c

clean:
	@rm -vf *.o main test core libpwnd* vgcore.*

run: main
	./main

gdb: test
	gdb ./test

rtest: test
	./test

valgrind: main
	valgrind --tool=memcheck --leak-check=yes --max-stackframe=5000000 \
		--show-reachable=yes --suppressions=../To\ Students/DONT_DELETE.supp ./main
